Bug 1278065 - mssql2012: Error converting data type varchar to bigint
mssql2012: Error converting data type varchar to bigint
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
urgent Severity urgent
: CR1
: 6.2.0
Assigned To: Neus Miras
Pavel Kralik
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 11:07 EST by Pavel Kralik
Modified: 2015-11-20 04:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server log (761.93 KB, text/plain)
2015-11-04 11:07 EST, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-11-04 11:07:16 EST
Created attachment 1089752 [details]
Server log

Description of problem:
SQL database error generated when working with Job Executor/Jobs perspective.

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER5

How reproducible:
Always

Steps to Reproduce:
1. Deploy business-central with MS SQL 2012 as datasource
2. Navigate to Jobs perspective
3. start/stop executor, create new filter

Actual results:
Job perspective does not work properly

Expected results:
No SQL errors

Additional info:
17:33:15,689 ERROR [org.dashbuilder.dataset.backend.exception.ExceptionManager] (http-localhost/127.0.0.1:8080-15) Can't lookup on specified data set: jbpmRequestList: org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmRequestList
	at org.dashbuilder.dataset.backend.BackendDataSetManager.lookupDataSet(BackendDataSetManager.java:134) [dashbuilder-dataset-core-0.3.4.Final-redhat-2.jar:0.3.4.Final-redhat-2]
...
Caused by: com.microsoft.sqlserver.jdbc.SQLServerException: Error converting data type varchar to bigint.
	at com.microsoft.sqlserver.jdbc.SQLServerException.makeFromDatabaseError(SQLServerException.java:216)
	at com.microsoft.sqlserver.jdbc.SQLServerResultSet$FetchBuffer.nextRow(SQLServerResultSet.java:4853)
Comment 2 Neus Miras 2015-11-10 12:03:27 EST
There were a problem with the dataset condition marshaling that has been solved in 
6.3.x
https://github.com/droolsjbpm/jbpm-console-ng/commit/b9ee18604c21730050ad4af3048b00cc996c0c2c

In master this json code marshaling is included in dashbuilder modules.
Comment 3 Pavel Kralik 2015-11-20 04:03:04 EST
BPMS 6.2.0.CR1

Note You need to log in before you can comment on or make changes to this bug.